> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/it/comandi-powershell/new-udchartjsdataset.md).

# New-UDChartJSDataset

### Sinossi

Crea un nuovo dataset ChartJS

### Sintassi

```powershell
New-UDChartJSDataset [[-Data] <Object>] [[-DataProperty] <String>] [[-Label] <String>] [[-BackgroundColor] <DashboardColor[]>] [[-BorderColor] <DashboardColor[]>] [[-BorderWidth] <Int32>] [[-HoverBackgroundColor] <DashboardColor[]>] [[-HoverBorderColor] <DashboardColor[]>] [[-HoverBorderWidth] <Int32>] [[-XAxisId] <String>] [[-YAxisId] <String>] [[-AdditionalOptions] <Hashtable>] [<CommonParameters>]
```

### Descrizione

Crea un nuovo dataset ChartJS. Questo cmdlet viene utilizzato per creare un nuovo dataset per New-UDChartJS.

### Parametri

#### -Data I dati per il dataset. Il formato dei dati dipende dal tipo di grafico che sta creando.Required?                    falsePosition?                    1Default value                @()Accept pipeline input?       falseAliasesAccept wildcard characters?  false-DataPropertyLa proprietà dell'oggetto dati da utilizzare come dati per il dataset.Required?                    falsePosition?                    2Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-LabelL'etichetta per il dataset.Required?                    falsePosition?                    3Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-BackgroundColor \<DashboardColor\[]>Il colore di sfondo per il dataset.Required?                    falsePosition?                    4Default value                @("#807B210C")Accept pipeline input?       falseAliasesAccept wildcard characters?  false-BorderColor \<DashboardColor\[]>Il colore del bordo per il dataset.Required?                    falsePosition?                    5Default value                @("#FF7B210C")Accept pipeline input?       falseAliasesAccept wildcard characters?  false-BorderWidthLa larghezza del bordo per il dataset.Required?                    falsePosition?                    6Default value                0Accept pipeline input?       falseAliasesAccept wildcard characters?  false-HoverBackgroundColor \<DashboardColor\[]>Il colore di sfondo al passaggio del mouse per il dataset.Required?                    falsePosition?                    7Default value                @("#807B210C")Accept pipeline input?       falseAliasesAccept wildcard characters?  false-HoverBorderColor \<DashboardColor\[]>Il colore del bordo al passaggio del mouse per il dataset.Required?                    falsePosition?                    8Default value                @("#FF7B210C")Accept pipeline input?       falseAliasesAccept wildcard characters?  false-HoverBorderWidthLa larghezza del bordo al passaggio del mouse per il dataset.Required?                    falsePosition?                    9Default value                0Accept pipeline input?       falseAliasesAccept wildcard characters?  false-XAxisIdL'ID dell'asse X da utilizzare per il dataset.Required?                    falsePosition?                    10Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-YAxisIdL'ID dell'asse Y da utilizzare per il dataset.Required?                    falsePosition?                    11Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-AdditionalOptionsUna hashtable di opzioni aggiuntive da applicare al dataset. Consulti la documentazione di ChartJS per maggiori informazioni.    PS > .EXAMPLE    PS > $Data = Get-Process | Sort-Object -Property CPU -Descending | Select-Object -First 10    PS >    PS > $CPUDataset = New-UDChartJSDataset -DataProperty CPU -Label CPU -BackgroundColor '#126f8c'    PS > $MemoryDataset = New-UDChartJSDataset -DataProperty HandleCount -Label 'Handle Count' -BackgroundColor '#8da322'    PS > $Options = @{    PS >     Type = 'bar'    PS >     Data = $Data    PS >     Dataset = @($CPUDataset, $MemoryDataset)    PS >     LabelProperty = "ProcessName"    PS > }    PS > New-UDChartJS @OptionsRequired?                    falsePosition?                    12Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false    \<CommonParameters>        This cmdlet supports the common parameters: Verbose, Debug,        ErrorAction, ErrorVariable, WarningAction, WarningVariable,        OutBuffer, PipelineVariable, and OutVariable. For more information, see        about\_CommonParameters (<https://go.microsoft.com/fwlink/?LinkID=113216>).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/it/comandi-powershell/new-udchartjsdataset.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
